OpenCV: cv::Matx< _Tp, m, n > Class Template Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
cv::Matx< _Tp, m, n > Class Template Reference
Core functionality » Basic structures

Template class for small matrices whose type and size are known at compilation time. More...

`#include "matx.hpp"`

## Public Types
enum | { rows = m, cols = n, channels = rows*cols, shortdim = (m < n ? m : n) }
typedef Matx< _Tp, shortdim, 1 > | diag_type
typedef Matx< _Tp, m, n > | mat_type
typedef _Tp | value_type

## Public Member Functions
| Matx ()
| default constructor More...
| Matx (_Tp v0)
| 1x1 matrix More...
| Matx (_Tp v0, _Tp v1)
| 1x2 or 2x1 matrix More...
| Matx (_Tp v0, _Tp v1, _Tp v2)
| 1x3 or 3x1 matrix More...
| Matx (_Tp v0, _Tp v1, _Tp v2, _Tp v3)
| 1x4, 2x2 or 4x1 matrix More...
| Matx (_Tp v0, _Tp v1, _Tp v2, _Tp v3, _Tp v4)
| 1x5 or 5x1 matrix More...
| Matx (_Tp v0, _Tp v1, _Tp v2, _Tp v3, _Tp v4, _Tp v5)
| 1x6, 2x3, 3x2 or 6x1 matrix More...
| Matx (_Tp v0, _Tp v1, _Tp v2, _Tp v3, _Tp v4, _Tp v5, _Tp v6)
| 1x7 or 7x1 matrix More...
| Matx (_Tp v0, _Tp v1, _Tp v2, _Tp v3, _Tp v4, _Tp v5, _Tp v6, _Tp v7)
| 1x8, 2x4, 4x2 or 8x1 matrix More...
| Matx (_Tp v0, _Tp v1, _Tp v2, _Tp v3, _Tp v4, _Tp v5, _Tp v6, _Tp v7, _Tp v8)
| 1x9, 3x3 or 9x1 matrix More...
| Matx (_Tp v0, _Tp v1, _Tp v2, _Tp v3, _Tp v4, _Tp v5, _Tp v6, _Tp v7, _Tp v8, _Tp v9)
| 1x10, 2x5 or 5x2 or 10x1 matrix More...
| Matx (_Tp v0, _Tp v1, _Tp v2, _Tp v3, _Tp v4, _Tp v5, _Tp v6, _Tp v7, _Tp v8, _Tp v9, _Tp v10, _Tp v11)
| 1x12, 2x6, 3x4, 4x3, 6x2 or 12x1 matrix More...
| Matx (_Tp v0, _Tp v1, _Tp v2, _Tp v3, _Tp v4, _Tp v5, _Tp v6, _Tp v7, _Tp v8, _Tp v9, _Tp v10, _Tp v11, _Tp v12, _Tp v13)
| 1x14, 2x7, 7x2 or 14x1 matrix More...
| Matx (_Tp v0, _Tp v1, _Tp v2, _Tp v3, _Tp v4, _Tp v5, _Tp v6, _Tp v7, _Tp v8, _Tp v9, _Tp v10, _Tp v11, _Tp v12, _Tp v13, _Tp v14, _Tp v15)
| 1x16, 4x4 or 16x1 matrix More...
| Matx (const _Tp *vals)
| initialize from a plain array More...
| Matx (const Matx< _Tp, m, n > &a, const Matx< _Tp, m, n > &b, Matx_AddOp)
| Matx (const Matx< _Tp, m, n > &a, const Matx< _Tp, m, n > &b, Matx_SubOp)
template<typename _T2 >
| Matx (const Matx< _Tp, m, n > &a, _T2 alpha, Matx_ScaleOp)
| Matx (const Matx< _Tp, m, n > &a, const Matx< _Tp, m, n > &b, Matx_MulOp)
| Matx (const Matx< _Tp, m, n > &a, const Matx< _Tp, m, n > &b, Matx_DivOp)
template<int l>
| Matx (const Matx< _Tp, m, l > &a, const Matx< _Tp, l, n > &b, Matx_MatMulOp)
| Matx (const Matx< _Tp, n, m > &a, Matx_TOp)
Matx< _Tp, m, 1 > | col (int i) const
| extract the matrix column More...
double | ddot (const Matx< _Tp, m, n > &v) const
| dot product computed in double-precision arithmetics More...
diag_type | diag () const
| extract the matrix diagonal More...
Matx< _Tp, m, n > | div (const Matx< _Tp, m, n > &a) const
| divide two matrices element-wise More...
_Tp | dot (const Matx< _Tp, m, n > &v) const
| dot product computed with the default precision More...
template<int m1, int n1>
Matx< _Tp, m1, n1 > | get_minor (int i, int j) const
| extract part of the matrix More...
Matx< _Tp, n, m > | inv (int method=DECOMP_LU, bool *p_is_ok=NULL) const
| invert the matrix More...
Matx< _Tp, m, n > | mul (const Matx< _Tp, m, n > &a) const
| multiply two matrices element-wise More...
template<typename T2 >
| operator Matx< T2, m, n > () const
| conversion to another data type More...
const _Tp & | operator() (int i, int j) const
| element access More...
_Tp & | operator() (int i, int j)
const _Tp & | operator() (int i) const
| 1D element access More...
_Tp & | operator() (int i)
template<int m1, int n1>
Matx< _Tp, m1, n1 > | reshape () const
| change the matrix shape More...
Matx< _Tp, 1, n > | row (int i) const
| extract the matrix row More...
template<int l>
Matx< _Tp, n, l > | solve (const Matx< _Tp, m, l > &rhs, int flags=DECOMP_LU) const
| solve linear system More...
Vec< _Tp, n > | solve (const Vec< _Tp, m > &rhs, int method) const
Matx< _Tp, n, m > | t () const
| transpose the matrix More...

## Static Public Member Functions
static Matx | all (_Tp alpha)
static Matx | diag (const diag_type &d)
static Matx | eye ()
static Matx | ones ()
static Matx | randn (_Tp a, _Tp b)
static Matx | randu (_Tp a, _Tp b)
static Matx | zeros ()

## Public Attributes
_Tp | val [m *n]

## Related Functions
(Note that these are not member functions.)
template<typename _Tp1 , typename _Tp2 , int m, int n>
static Matx< _Tp1, m, n > & | operator+= (Matx< _Tp1, m, n > &a, const Matx< _Tp2, m, n > &b)
template<typename _Tp1 , typename _Tp2 , int m, int n>
static Matx< _Tp1, m, n > & | operator-= (Matx< _Tp1, m, n > &a, const Matx< _Tp2, m, n > &b)
template<typename _Tp , int m, int n>
static Matx< _Tp, m, n > | operator+ (const Matx< _Tp, m, n > &a, const Matx< _Tp, m, n > &b)
template<typename _Tp , int m, int n>
static Matx< _Tp, m, n > | operator- (const Matx< _Tp, m, n > &a, const Matx< _Tp, m, n > &b)
template<typename _Tp , int m, int n>
static Matx< _Tp, m, n > & | operator*= (Matx< _Tp, m, n > &a, int alpha)
template<typename _Tp , int m, int n>
static Matx< _Tp, m, n > & | operator*= (Matx< _Tp, m, n > &a, float alpha)
template<typename _Tp , int m, int n>
static Matx< _Tp, m, n > & | operator*= (Matx< _Tp, m, n > &a, double alpha)
template<typename _Tp , int m, int n>
static Matx< _Tp, m, n > | operator* (const Matx< _Tp, m, n > &a, int alpha)
template<typename _Tp , int m, int n>
static Matx< _Tp, m, n > | operator* (const Matx< _Tp, m, n > &a, float alpha)
template<typename _Tp , int m, int n>
static Matx< _Tp, m, n > | operator* (const Matx< _Tp, m, n > &a, double alpha)
template<typename _Tp , int m, int n>
static Matx< _Tp, m, n > | operator* (int alpha, const Matx< _Tp, m, n > &a)
template<typename _Tp , int m, int n>
static Matx< _Tp, m, n > | operator* (float alpha, const Matx< _Tp, m, n > &a)
template<typename _Tp , int m, int n>
static Matx< _Tp, m, n > | operator* (double alpha, const Matx< _Tp, m, n > &a)
template<typename _Tp , int m, int n>
static Matx< _Tp, m, n > | operator- (const Matx< _Tp, m, n > &a)
template<typename _Tp , int m, int n, int l>
static Matx< _Tp, m, n > | operator* (const Matx< _Tp, m, l > &a, const Matx< _Tp, l, n > &b)
template<typename _Tp , int m, int n>
static Vec< _Tp, m > | operator* (const Matx< _Tp, m, n > &a, const Vec< _Tp, n > &b)
template<typename _Tp , int m, int n>
static bool | operator== (const Matx< _Tp, m, n > &a, const Matx< _Tp, m, n > &b)
template<typename _Tp , int m, int n>
static bool | operator!= (const Matx< _Tp, m, n > &a, const Matx< _Tp, m, n > &b)

## Detailed Description

### template<typename _Tp, int m, int n>
class cv::Matx< _Tp, m, n >

Template class for small matrices whose type and size are known at compilation time.

If you need a more flexible type, use Mat . The elements of the matrix M are accessible using the M(i,j) notation. Most of the common matrix operations (see also MatrixExpressions ) are available. To do an operation on Matx that is not implemented, you can easily convert the matrix to Mat and backwards:

Matx33f m(1, 2, 3,
4, 5, 6,
7, 8, 9);
cout << sum(Mat(m*m.t())) << endl;

Except of the plain constructor which takes a list of elements, Matx can be initialized from a C-array:

float values[] = { 1, 2, 3};
Matx31f m(values);

In case if C++11 features are available, std::initializer_list can be also used to initialize Matx:

Matx31f m = { 1, 2, 3};

## Member Typedef Documentation

## ◆ diag_type

template<typename _Tp, int m, int n>

typedef Matx<_Tp, shortdim, 1> cv::Matx< _Tp, m, n >::diag_type

## ◆ mat_type

template<typename _Tp, int m, int n>

typedef Matx<_Tp, m, n> cv::Matx< _Tp, m, n >::mat_type

## ◆ value_type

template<typename _Tp, int m, int n>

typedef _Tp cv::Matx< _Tp, m, n >::value_type

## Member Enumeration Documentation

## ◆ anonymous enum

template<typename _Tp, int m, int n>

anonymous enum

Enumerator
rows |
cols |
channels |
shortdim |

## Constructor & Destructor Documentation

## ◆ Matx() [1/22]

template<typename _Tp, int m, int n>

cv::Matx< _Tp, m, n >::Matx | ( |  | ) |

default constructor

## ◆ Matx() [2/22]

template<typename _Tp, int m, int n>

cv::Matx< _Tp, m, n >::Matx | ( | _Tp | v0 | ) |

1x1 matrix

## ◆ Matx() [3/22]

template<typename _Tp, int m, int n>

cv::Matx< _Tp, m, n >::Matx | ( | _Tp | v0,
|  | _Tp | v1
| ) |  |

1x2 or 2x1 matrix

## ◆ Matx() [4/22]

template<typename _Tp, int m, int n>

cv::Matx< _Tp, m, n >::Matx | ( | _Tp | v0,
|  | _Tp | v1,
|  | _Tp | v2
| ) |  |

1x3 or 3x1 matrix

## ◆ Matx() [5/22]

template<typename _Tp, int m, int n>

cv::Matx< _Tp, m, n >::Matx | ( | _Tp | v0,
|  | _Tp | v1,
|  | _Tp | v2,
|  | _Tp | v3
| ) |  |

1x4, 2x2 or 4x1 matrix

## ◆ Matx() [6/22]

template<typename _Tp, int m, int n>

cv::Matx< _Tp, m, n >::Matx | ( | _Tp | v0,
|  | _Tp | v1,
|  | _Tp | v2,
|  | _Tp | v3,
|  | _Tp | v4
| ) |  |

1x5 or 5x1 matrix

## ◆ Matx() [7/22]

template<typename _Tp, int m, int n>

cv::Matx< _Tp, m, n >::Matx | ( | _Tp | v0,
|  | _Tp | v1,
|  | _Tp | v2,
|  | _Tp | v3,
|  | _Tp | v4,
|  | _Tp | v5
| ) |  |

1x6, 2x3, 3x2 or 6x1 matrix

## ◆ Matx() [8/22]

template<typename _Tp, int m, int n>

cv::Matx< _Tp, m, n >::Matx | ( | _Tp | v0,
|  | _Tp | v1,
|  | _Tp | v2,
|  | _Tp | v3,
|  | _Tp | v4,
|  | _Tp | v5,
|  | _Tp | v6
| ) |  |

1x7 or 7x1 matrix

## ◆ Matx() [9/22]

template<typename _Tp, int m, int n>

cv::Matx< _Tp, m, n >::Matx | ( | _Tp | v0,
|  | _Tp | v1,
|  | _Tp | v2,
|  | _Tp | v3,
|  | _Tp | v4,
|  | _Tp | v5,
|  | _Tp | v6,
|  | _Tp | v7
| ) |  |

1x8, 2x4, 4x2 or 8x1 matrix

## ◆ Matx() [10/22]

template<typename _Tp, int m, int n>

cv::Matx< _Tp, m, n >::Matx | ( | _Tp | v0,
|  | _Tp | v1,
|  | _Tp | v2,
|  | _Tp | v3,
|  | _Tp | v4,
|  | _Tp | v5,
|  | _Tp | v6,
|  | _Tp | v7,
|  | _Tp | v8
| ) |  |

1x9, 3x3 or 9x1 matrix

## ◆ Matx() [11/22]

template<typename _Tp, int m, int n>

cv::Matx< _Tp, m, n >::Matx | ( | _Tp | v0,
|  | _Tp | v1,
|  | _Tp | v2,
|  | _Tp | v3,
|  | _Tp | v4,
|  | _Tp | v5,
|  | _Tp | v6,
|  | _Tp | v7,
|  | _Tp | v8,
|  | _Tp | v9
| ) |  |

1x10, 2x5 or 5x2 or 10x1 matrix

## ◆ Matx() [12/22]

template<typename _Tp, int m, int n>

cv::Matx< _Tp, m, n >::Matx | ( | _Tp | v0,
|  | _Tp | v1,
|  | _Tp | v2,
|  | _Tp | v3,
|  | _Tp | v4,
|  | _Tp | v5,
|  | _Tp | v6,
|  | _Tp | v7,
|  | _Tp | v8,
|  | _Tp | v9,
|  | _Tp | v10,
|  | _Tp | v11
| ) |  |

1x12, 2x6, 3x4, 4x3, 6x2 or 12x1 matrix

## ◆ Matx() [13/22]

template<typename _Tp, int m, int n>

cv::Matx< _Tp, m, n >::Matx | ( | _Tp | v0,
|  | _Tp | v1,
|  | _Tp | v2,
|  | _Tp | v3,
|  | _Tp | v4,
|  | _Tp | v5,
|  | _Tp | v6,
|  | _Tp | v7,
|  | _Tp | v8,
|  | _Tp | v9,
|  | _Tp | v10,
|  | _Tp | v11,
|  | _Tp | v12,
|  | _Tp | v13
| ) |  |

1x14, 2x7, 7x2 or 14x1 matrix

## ◆ Matx() [14/22]

template<typename _Tp, int m, int n>

cv::Matx< _Tp, m, n >::Matx | ( | _Tp | v0,
|  | _Tp | v1,
|  | _Tp | v2,
|  | _Tp | v3,
|  | _Tp | v4,
|  | _Tp | v5,
|  | _Tp | v6,
|  | _Tp | v7,
|  | _Tp | v8,
|  | _Tp | v9,
|  | _Tp | v10,
|  | _Tp | v11,
|  | _Tp | v12,
|  | _Tp | v13,
|  | _Tp | v14,
|  | _Tp | v15
| ) |  |

1x16, 4x4 or 16x1 matrix

## ◆ Matx() [15/22]

template<typename _Tp, int m, int n>

cv::Matx< _Tp, m, n >::Matx | ( | const _Tp * | vals | ) |
| explicit

initialize from a plain array

## ◆ Matx() [16/22]

template<typename _Tp, int m, int n>

cv::Matx< _Tp, m, n >::Matx | ( | const Matx< _Tp, m, n > & | a,
|  | const Matx< _Tp, m, n > & | b,
|  | Matx_AddOp |
| ) |  |

## ◆ Matx() [17/22]

template<typename _Tp, int m, int n>

cv::Matx< _Tp, m, n >::Matx | ( | const Matx< _Tp, m, n > & | a,
|  | const Matx< _Tp, m, n > & | b,
|  | Matx_SubOp |
| ) |  |

## ◆ Matx() [18/22]

template<typename _Tp, int m, int n>
template<typename _T2 >

cv::Matx< _Tp, m, n >::Matx | ( | const Matx< _Tp, m, n > & | a,
|  | _T2 | alpha,
|  | Matx_ScaleOp |
| ) |  |

## ◆ Matx() [19/22]

template<typename _Tp, int m, int n>

cv::Matx< _Tp, m, n >::Matx | ( | const Matx< _Tp, m, n > & | a,
|  | const Matx< _Tp, m, n > & | b,
|  | Matx_MulOp |
| ) |  |

## ◆ Matx() [20/22]

template<typename _Tp, int m, int n>

cv::Matx< _Tp, m, n >::Matx | ( | const Matx< _Tp, m, n > & | a,
|  | const Matx< _Tp, m, n > & | b,
|  | Matx_DivOp |
| ) |  |

## ◆ Matx() [21/22]

template<typename _Tp, int m, int n>
template<int l>

cv::Matx< _Tp, m, n >::Matx | ( | const Matx< _Tp, m, l > & | a,
|  | const Matx< _Tp, l, n > & | b,
|  | Matx_MatMulOp |
| ) |  |

## ◆ Matx() [22/22]

template<typename _Tp, int m, int n>

cv::Matx< _Tp, m, n >::Matx | ( | const Matx< _Tp, n, m > & | a,
|  | Matx_TOp |
| ) |  |

## Member Function Documentation

## ◆ all()

template<typename _Tp, int m, int n>

static Matx cv::Matx< _Tp, m, n >::all | ( | _Tp | alpha | ) |
| static

## ◆ col()

template<typename _Tp, int m, int n>

Matx<_Tp, m, 1> cv::Matx< _Tp, m, n >::col | ( | int | i | ) | const

extract the matrix column

## ◆ ddot()

template<typename _Tp, int m, int n>

double cv::Matx< _Tp, m, n >::ddot | ( | const Matx< _Tp, m, n > & | v | ) | const

dot product computed in double-precision arithmetics

## ◆ diag() [1/2]

template<typename _Tp, int m, int n>

static Matx cv::Matx< _Tp, m, n >::diag | ( | const diag_type & | d | ) |
| static

## ◆ diag() [2/2]

template<typename _Tp, int m, int n>

diag_type cv::Matx< _Tp, m, n >::diag | ( |  | ) | const

extract the matrix diagonal

## ◆ div()

template<typename _Tp, int m, int n>

Matx<_Tp, m, n> cv::Matx< _Tp, m, n >::div | ( | const Matx< _Tp, m, n > & | a | ) | const

divide two matrices element-wise

## ◆ dot()

template<typename _Tp, int m, int n>

_Tp cv::Matx< _Tp, m, n >::dot | ( | const Matx< _Tp, m, n > & | v | ) | const

dot product computed with the default precision

## ◆ eye()

template<typename _Tp, int m, int n>

static Matx cv::Matx< _Tp, m, n >::eye | ( |  | ) |
| static

## ◆ get_minor()

template<typename _Tp, int m, int n>
template<int m1, int n1>

Matx<_Tp, m1, n1> cv::Matx< _Tp, m, n >::get_minor | ( | int | i,
|  | int | j
| ) |  | const

extract part of the matrix

## ◆ inv()

template<typename _Tp, int m, int n>

Matx<_Tp, n, m> cv::Matx< _Tp, m, n >::inv | ( | int | method = `DECOMP_LU`,
|  | bool * | p_is_ok = `NULL`
| ) |  | const

invert the matrix

## ◆ mul()

template<typename _Tp, int m, int n>

Matx<_Tp, m, n> cv::Matx< _Tp, m, n >::mul | ( | const Matx< _Tp, m, n > & | a | ) | const

multiply two matrices element-wise

## ◆ ones()

template<typename _Tp, int m, int n>

static Matx cv::Matx< _Tp, m, n >::ones | ( |  | ) |
| static

## ◆ operator Matx< T2, m, n >()

template<typename _Tp, int m, int n>
template<typename T2 >

cv::Matx< _Tp, m, n >::operator Matx< T2, m, n > | ( |  | ) | const

conversion to another data type

## ◆ operator()() [1/4]

template<typename _Tp, int m, int n>

const _Tp& cv::Matx< _Tp, m, n >::operator() | ( | int | i,
|  | int | j
| ) |  | const

element access

## ◆ operator()() [2/4]

template<typename _Tp, int m, int n>

_Tp& cv::Matx< _Tp, m, n >::operator() | ( | int | i,
|  | int | j
| ) |  |

## ◆ operator()() [3/4]

template<typename _Tp, int m, int n>

const _Tp& cv::Matx< _Tp, m, n >::operator() | ( | int | i | ) | const

1D element access

## ◆ operator()() [4/4]

template<typename _Tp, int m, int n>

_Tp& cv::Matx< _Tp, m, n >::operator() | ( | int | i | ) |

## ◆ randn()

template<typename _Tp, int m, int n>

static Matx cv::Matx< _Tp, m, n >::randn | ( | _Tp | a,
|  | _Tp | b
| ) |  |
| static

## ◆ randu()

template<typename _Tp, int m, int n>

static Matx cv::Matx< _Tp, m, n >::randu | ( | _Tp | a,
|  | _Tp | b
| ) |  |
| static

## ◆ reshape()

template<typename _Tp, int m, int n>
template<int m1, int n1>

Matx<_Tp, m1, n1> cv::Matx< _Tp, m, n >::reshape | ( |  | ) | const

change the matrix shape

## ◆ row()

template<typename _Tp, int m, int n>

Matx<_Tp, 1, n> cv::Matx< _Tp, m, n >::row | ( | int | i | ) | const

extract the matrix row

## ◆ solve() [1/2]

template<typename _Tp, int m, int n>
template<int l>

Matx<_Tp, n, l> cv::Matx< _Tp, m, n >::solve | ( | const Matx< _Tp, m, l > & | rhs,
|  | int | flags = `DECOMP_LU`
| ) |  | const

solve linear system

## ◆ solve() [2/2]

template<typename _Tp, int m, int n>

Vec<_Tp, n> cv::Matx< _Tp, m, n >::solve | ( | const Vec< _Tp, m > & | rhs,
|  | int | method
| ) |  | const

## ◆ t()

template<typename _Tp, int m, int n>

Matx<_Tp, n, m> cv::Matx< _Tp, m, n >::t | ( |  | ) | const

transpose the matrix

## ◆ zeros()

template<typename _Tp, int m, int n>

static Matx cv::Matx< _Tp, m, n >::zeros | ( |  | ) |
| static

## Friends And Related Function Documentation

## ◆ operator!=()

template<typename _Tp , int m, int n>

static bool operator!= | ( | const Matx< _Tp, m, n > & | a,
|  | const Matx< _Tp, m, n > & | b
| ) |  |
| related

## ◆ operator*() [1/8]

template<typename _Tp , int m, int n>

static Matx< _Tp, m, n > operator* | ( | const Matx< _Tp, m, n > & | a,
|  | int | alpha
| ) |  |
| related

## ◆ operator*() [2/8]

template<typename _Tp , int m, int n>

static Matx< _Tp, m, n > operator* | ( | const Matx< _Tp, m, n > & | a,
|  | float | alpha
| ) |  |
| related

## ◆ operator*() [3/8]

template<typename _Tp , int m, int n>

static Matx< _Tp, m, n > operator* | ( | const Matx< _Tp, m, n > & | a,
|  | double | alpha
| ) |  |
| related

## ◆ operator*() [4/8]

template<typename _Tp , int m, int n>

static Matx< _Tp, m, n > operator* | ( | int | alpha,
|  | const Matx< _Tp, m, n > & | a
| ) |  |
| related

## ◆ operator*() [5/8]

template<typename _Tp , int m, int n>

static Matx< _Tp, m, n > operator* | ( | float | alpha,
|  | const Matx< _Tp, m, n > & | a
| ) |  |
| related

## ◆ operator*() [6/8]

template<typename _Tp , int m, int n>

static Matx< _Tp, m, n > operator* | ( | double | alpha,
|  | const Matx< _Tp, m, n > & | a
| ) |  |
| related

## ◆ operator*() [7/8]

template<typename _Tp , int m, int n, int l>

static Matx< _Tp, m, n > operator* | ( | const Matx< _Tp, m, l > & | a,
|  | const Matx< _Tp, l, n > & | b
| ) |  |
| related

## ◆ operator*() [8/8]

template<typename _Tp , int m, int n>

static Vec< _Tp, m > operator* | ( | const Matx< _Tp, m, n > & | a,
|  | const Vec< _Tp, n > & | b
| ) |  |
| related

## ◆ operator*=() [1/3]

template<typename _Tp , int m, int n>

static Matx< _Tp, m, n > & operator*= | ( | Matx< _Tp, m, n > & | a,
|  | int | alpha
| ) |  |
| related

## ◆ operator*=() [2/3]

template<typename _Tp , int m, int n>

static Matx< _Tp, m, n > & operator*= | ( | Matx< _Tp, m, n > & | a,
|  | float | alpha
| ) |  |
| related

## ◆ operator*=() [3/3]

template<typename _Tp , int m, int n>

static Matx< _Tp, m, n > & operator*= | ( | Matx< _Tp, m, n > & | a,
|  | double | alpha
| ) |  |
| related

## ◆ operator+()

template<typename _Tp , int m, int n>

static Matx< _Tp, m, n > operator+ | ( | const Matx< _Tp, m, n > & | a,
|  | const Matx< _Tp, m, n > & | b
| ) |  |
| related

## ◆ operator+=()

template<typename _Tp1 , typename _Tp2 , int m, int n>

static Matx< _Tp1, m, n > & operator+= | ( | Matx< _Tp1, m, n > & | a,
|  | const Matx< _Tp2, m, n > & | b
| ) |  |
| related

## ◆ operator-() [1/2]

template<typename _Tp , int m, int n>

static Matx< _Tp, m, n > operator- | ( | const Matx< _Tp, m, n > & | a,
|  | const Matx< _Tp, m, n > & | b
| ) |  |
| related

## ◆ operator-() [2/2]

template<typename _Tp , int m, int n>

static Matx< _Tp, m, n > operator- | ( | const Matx< _Tp, m, n > & | a | ) |
| related

## ◆ operator-=()

template<typename _Tp1 , typename _Tp2 , int m, int n>

static Matx< _Tp1, m, n > & operator-= | ( | Matx< _Tp1, m, n > & | a,
|  | const Matx< _Tp2, m, n > & | b
| ) |  |
| related

## ◆ operator==()

template<typename _Tp , int m, int n>

static bool operator== | ( | const Matx< _Tp, m, n > & | a,
|  | const Matx< _Tp, m, n > & | b
| ) |  |
| related

## Member Data Documentation

## ◆ val

template<typename _Tp, int m, int n>

_Tp cv::Matx< _Tp, m, n >::val[m *n]

The documentation for this class was generated from the following file:

- core/include/opencv2/core/matx.hpp